ReaderData Struct Reference
Collaboration diagram for ReaderData:
[legend]

## Data Fields

SDL_EventQueue * | queue
int | counters [NUM_WRITERS]
int | waits
SDL_bool | lock_free
char | padding [SDL_CACHELINE_SIZE-(sizeof(SDL_EventQueue *)+sizeof(int) *NUM_WRITERS+sizeof(int)+sizeof(SDL_bool))%SDL_CACHELINE_SIZE]

## Detailed Description

Definition at line 489 of file testatomic.c.

## Field Documentation

## counters

int ReaderData::counters[NUM_WRITERS]

Definition at line 492 of file testatomic.c.

Referenced by FIFO_Reader(), and RunFIFOTest().

## lock_free

SDL_bool ReaderData::lock_free

Definition at line 494 of file testatomic.c.

Referenced by FIFO_Reader(), and RunFIFOTest().

## padding

char ReaderData::padding[SDL_CACHELINE_SIZE-(sizeof(SDL_EventQueue *)+sizeof(int) *NUM_WRITERS+sizeof(int)+sizeof(SDL_bool))%SDL_CACHELINE_SIZE]

Definition at line 495 of file testatomic.c.

## queue

SDL_EventQueue* ReaderData::queue

Definition at line 491 of file testatomic.c.

Referenced by FIFO_Reader(), and RunFIFOTest().

## waits

int ReaderData::waits

Definition at line 493 of file testatomic.c.

Referenced by FIFO_Reader().

The documentation for this struct was generated from the following file:

- test/testatomic.c